var fs = require("fs");
var path = require("path");
var cheerio = require("cheerio");

module.exports = function(){
    return new Promise(function(resolve,reject){
        if (!argvs.tongji) return resolve();
        if (!argvs.clientID) return reject("clientID is not supported");
        if (!argvs.projectID) return reject("projectID is not supported");
        // 添加统计js文件
        var indexPath = path.resolve(cwd, _DEFAULT_DIR_NAME, 'index.html');
        var fileIndex = fs.readFileSync(indexPath,'utf-8');
        var $ = cheerio.load(fileIndex, { decodeEntities: false });
        $("head").prepend('<script src="https://cdn.weshape3d.com/assets/project-setting.js"></script>'); //公共部分代码
        // 加入初始化时间戳
        $("head").prepend(`<script>
            var _INITIAL_START_TIME = +new Date(); 
            window.onload = function(){
                var _ONLOAD_TIME = +new Date();
                 gblStat.postData("onload", _ONLOAD_TIME);
            } 
        </script>`);
        $("head").append('<script src="https://cdn.weshape3d.com/assets/stat.js?t='+(+new Date())+'"></script>');
        $("head").append(`<script> if(window.W3DStat){window.gblStat=new W3DStat('${argvs.clientID}','${argvs.projectID}');}</script>`);
        fs.writeFileSync(indexPath, $.html(), { encoding: 'utf8', flag: 'w' });
        resolve();
    });
};