var fs = require("fs");
var path = require("path");

const jsContent = `
    (function(){
    var app = pc.Application.getApplication();
    app.on("start", function () {
        gblStat.postData("firstFrameComplete", +new Date())
    })
    app.on('preload:end', function () {
        gblStat.postData("preloadEnd", +new Date())
    });
})();
`;
module.exports = function () {
    return new Promise(function (resolve, reject) {
        if (!argvs.tongji) return resolve();
        if (!argvs.clientID) return reject("clientID is not supported");
        if (!argvs.projectID) return reject("projectID is not supported");
        // 添加收集首帧加载时间戳,预加载完成时间戳,另外资源加载完成时间戳与开始初始化时间戳在addStat.js文件加入
        var loadingJsPath = path.resolve(cwd, _DEFAULT_DIR_NAME, '__loading__.js');
        var loadingJsContent = fs.readFileSync(loadingJsPath, 'utf-8');
        var newLoadingJsContent = jsContent + loadingJsContent;
        fs.writeFileSync(loadingJsPath, newLoadingJsContent, { encoding: 'utf8', flag: 'w' });
        resolve();
    });
};