var fs = require("fs");
var path = require("path");
var filesOrder = require("./filesOrder.js")();

module.exports = function(){
    filesOrder.push("__game-scripts.js");
    return new Promise(function(resolve,reject){
        filesOrder.forEach(function(fileName){
            if(fileName === "playcanvas-stable.min.js") fileName = "engine.min.js";
            var filePath = path.resolve(cwd,_DEFAULT_DIR_NAME,fileName);
            try{
                var fileContent;
                fs.existsSync(filePath,function(exists){
                    if (exists){
                        fileContent  = fs.readFileSync(filePath,"utf-8");
                    }else{
                        fileContent = "";
                    }
                })
            }catch(err){
                reject(err);
            }
            try{
                if (fileContent) {
                    fs.writeFileSync(filePath,fileContent.replace(/playcanvas/ig,"weshapeCanvas"),{encoding:'utf8', flag:'w'});
                }
            }catch(err){
                reject(err);
            }
        })
        resolve();
    })
}
