var uglify = require('uglify-js');
var fs = require("fs");
var path = require("path");
var getAllJsFileName = require("./getAllJsFileName.js");

module.exports = function() {
    return new Promise(function(resolve, reject) {
        if(!argvs.uglify) return resolve(); 
        var jsFiles = getAllJsFileName();
        jsFiles.forEach(function(fileName){
            var fileContent = fs.readFileSync(path.resolve(cwd, _DEFAULT_DIR_NAME,fileName),"utf-8");
            if (!fileContent) reject(fileName+" is not found");
            var code = uglify.minify(fileContent, {
                compress: {
                    drop_console: argvs.dropconsole
                }
            });
            // if(!code.code) return reject("打包"+fileName+"出错");
            fs.writeFileSync(path.resolve(cwd, _DEFAULT_DIR_NAME, fileName), code.code ? code.code : fileContent,{encoding:'utf8', flag:'w'});
        });
        resolve();
    });
};
