var fs = require("fs");
var path = require("path");
var cheerio = require("cheerio");
module.exports = function(){
    return new Promise(function(resolve,reject){
        if(!argvs.wxshare) return resolve();
        var title = argvs.wxShareTitle;
        var desc = argvs.wxShareDesc;
        if(!title || !desc) return reject("微信分享标题、描述不能为空");
        try{
            fs.writeFileSync(path.resolve(cwd, _DEFAULT_DIR_NAME,"../", "wxConfig.json"), `{
                "title": "${title}",
                "desc": "${desc}" 
            }`, { encoding: 'utf-8', flag: 'w' });
            resolve();
            var indexHTMLPath = path.resolve(cwd,_DEFAULT_DIR_NAME,"index.html");
            var indexHtml = fs.readFileSync(indexHTMLPath,'utf-8');
            var $ = cheerio.load(indexHtml,{decodeEntities: false});
            for (var i = 0; i < _WXSHARE_CDN.length; i++ ){
                $("body").append("<script id='wx' src="+_WXSHARE_CDN[i]+"></script>");
            }
            // $("body").prepend("<script id='wx' src='./wxConfig.js'></script>")
            fs.writeFileSync(indexHTMLPath, $.html(), {
                encoding: 'utf8',
                flag: 'w'
            });
            // fs.appendFileSync(path.resolve(cwd,_DEFAULT_DIR_NAME,"const.js"),`;window.${_WXSHARE_CONFIG} = {
            //     title: "${title}",
            //     desc: "${desc}" 
            // };`,{encoding:'utf-8',flag:'a'});
            // resolve();
        }catch(e){
            reject(e);
        }
    })
}
